#include "share.h"


void main(void) {
	
	/* inits */
	system_init();
	timer_init();
	uart_init();

	_BIS_SR (GIE);


	while(1)
	{

	}
}


#pragma vector=TIMER0_A1_VECTOR
__interrupt void Timer_A(void)
{
	M1_timer++;

	if (M1_timer==(1000/M1_speed)) 
	{
		M1_move(M1_dir);
		M1_timer=0;
		uart_send(0x01);
		BIT_TOOGLE(P2OUT, LED2);
	}
}



#pragma vector=USCIAB0RX_VECTOR
__interrupt void USCIA0RX_ISR(void)
{
  received_message=UCA0RXBUF;
  BIT_TOOGLE(P2OUT, LED1);
}
